# Uses of Class
co.aikar.util.JSONUtil.JSONPair

Packages that use JSONUtil.JSONPair
Package
Description
co.aikar.util

## Uses of JSONUtil.JSONPair in co.aikar.util

Methods in co.aikar.util that return JSONUtil.JSONPair
Modifier and Type
Method
Description
`static @NotNull JSONUtil.JSONPair`
JSONUtil.`pair(long key, @Nullable Object obj)`
`static @NotNull JSONUtil.JSONPair`
JSONUtil.`pair(@NotNull String key, @Nullable Object obj)`
Creates a key/value "JSONPair" object
Methods in co.aikar.util with parameters of type JSONUtil.JSONPair
Modifier and Type
Method
Description
`static @NotNull Map<String,Object>`
JSONUtil.`appendObjectData(@NotNull Map parent, @NotNull JSONUtil.JSONPair... data)`
This appends multiple key/value Obj pairs into a JSON Object
`static @NotNull Map<String,Object>`
JSONUtil.`createObject(@NotNull JSONUtil.JSONPair... data)`
Creates a new JSON object from multiple JSONPair key/value pairs
Method parameters in co.aikar.util with type arguments of type JSONUtil.JSONPair
Modifier and Type
Method
Description
`static <E> @NotNull Map`
JSONUtil.`toObjectMapper(@NotNull E[] collection, @NotNull Function<E,JSONUtil.JSONPair> mapper)`
These help build a single JSON Object from a collection, using a mapper function
`static <E> @NotNull Map`
JSONUtil.`toObjectMapper(@NotNull Iterable<E> collection, @NotNull Function<E,JSONUtil.JSONPair> mapper)`